<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="/css/style_ch3.css" />
    <title>Document</title>
    <link rel="icon" href="/img/mandalax.png" />
  </head>

  <body>
    <div class="FirstView">
      <h3 class="text-white">Disini View User</h3>
      <hr />
      <div class="bg-white p-3">
        <div class="mb-3">
          <label for="username" class="form-label">Username</label>
          <input
            type="text"
            class="form-control"
            id="username"
            name="username"
            value="<%= userGameDetail.username %>"
          />
        </div>
        <div class="mb-3">
          <label for="password" class="form-label">Password</label>
          <input
            type="text"
            class="form-control"
            id="password"
            name="password"
            value="<%= userGameDetail.password %>"
          />
        </div>
        <div class="mb-3">
          <label for="name" class="form-label">Full Name</label>
          <input
            type="name"
            class="form-control"
            id="name"
            name="name"
            value="<%= userGameDetail.UserBiodatum.name %>"
          />
        </div>
        <div class="mb-3">
          <label for="company" class="form-label">Company</label>
          <input
            type="company"
            class="form-control"
            id="company"
            name="company"
            value="<%= userGameDetail.UserBiodatum.company %>"
          />
        </div>
        <div class="mb-3">
          <label for="description" class="form-label">Description</label>
          <textarea
            class="form-control"
            id="description"
            name="description"
            rows="3"
          >
<%= userGameDetail.UserBiodatum.description %></textarea
          >
        </div>
        <% if(userHistory !== 'undefined') { %>
        <div class="mb-3">
          <table class="table">
            <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">Game Name</th>
                <th scope="col">Score</th>
                <th scope="col">Duration</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody>
              <% userHistory.forEach((user, i) => { %>
              <tr>
                <th scope="row"><%= i + 1 %></th>
                <td><%= user.game_name %></td>
                <td><%= user.score %></td>
                <td><%= user.duration %></td>
                <td>
                  <a href="/userHistoryUpdate/<%= user.id %>">EDIT</a> |
                  <a href="/userHistoryDelete/<%= user.id %>">DELETE</a>
                </td>
              </tr>
              <% }) %>
            </tbody>
          </table>
        </div>
        <% } %>
        <div class="mb-3">
          <button type="submit" class="btn btn-warning">
            <a href="/admin">Back</a>
          </button>
        </div>
      </div>
    </div>

    <script src="/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
  </body>
</html>
